#!/bin/bash

echo cnaf
echo 'Usage: cnaf <branch> <crate> <slot> <subad> <function> <data> <type: serial=0,parallel=1>'

BRANCH=18
CRATE=2
SLOT=1

A=15
F=1
DATA=0
TYPE=1

echo "---------------------------------------------------------------------"
echo "Read module id..."

#cnaf 18 2 1 15 1 0 1
cnaf $BRANCH $CRATE $SLOT $A $F $DATA $TYPE


echo "---------------------------------------------------------------------"
echo "Read contents of switch register..."

cnaf 18 2 1 0 0 0 1

echo "---------------------------------------------------------------------"
echo "Disable the LAM requst..."

cnaf 18 2 1 0 24 0 2

echo "---------------------------------------------------------------------"
echo "Enable the LAM request..."
F=26
A=0
cnaf $BRANCH $CRATE $SLOT $A $F $DATA $TYPE


echo "Wait 5 sec for operator to set the LAM..."
sleep 5
echo "---------------------------------------------------------------------"
echo "Test whether lam is set...."
F=8
A=15
cnaf $BRANCH $CRATE $SLOT $A $F $DATA $TYPE


echo "---------------------------------------------------------------------"
echo "Alternate test whether lam is set..."
echo "Test whether lam is set...."
F=27
A=0
cnaf $BRANCH $CRATE $SLOT $A $F $DATA $TYPE

echo "That's all folks!"
exit
